mssql_field_seek
mssql_free_result
Mssql Functions
PHP Manual

# mssql_field_type

(PHP 4, PHP 5, PECL odbtp >= 1.1.1)

mssql_field_type — Gets the type of a field

### Description

string mssql_field_type ( resource `$result` [, int `$offset` = -1 ] )

Returns the type of field no. `offset` in `result`.

### Parameters

`result`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

`offset`

  The field offset, starts at 0. If omitted, the current field is used.

### Return Values

The type of the specified field index on success or `FALSE` on failure.

### Examples

Example #1 mssql_field_type() example

`<?php
// Connect to MSSQL and select the database
mssql_connect('MANGO\SQLEXPRESS', 'sa', 'phpfi');
mssql_select_db('php');
// Send a select query to MSSQL
$query = mssql_query('SELECT [name] FROM [php].[dbo].[persons]');
// Print the field type and length
echo '\'' . mssql_field_name($query, 0) . '\' is a type of ' .
strtoupper(mssql_field_type($query, 0)) .
'(' . mssql_field_length($query, 0) . ')';
// Free the query result
mssql_free_result($query);
?>`

The above example will output something similar to:

    'name' is a type of CHAR(50)

### See Also

- mssql_field_length() - Get the length of a field
- mssql_field_name() - Get the name of a field

mssql_field_seek
mssql_free_result
Mssql Functions
PHP Manual